Name:          vorbisspi
Summary:       Ogg Vorbis sound engine
Version:       1.0.3
Release:       %mkrel 8
License:       LGPLv2
Group:         Sound/Utilities
Source0:       %{name}%{version}.tar.gz
URL:           http://www.javazoom.net/vorbisspi/sources.html
BuildArch:     noarch

BuildRequires: ant
BuildRequires: java-devel
BuildRequires: jpackage-utils

%description
VorbisSPI  is a SPI (Service Provider Interface - or "Driver" for 
JavaSound API) that adds Ogg Vorbis audio format format to the Java 
Platform (J2SE). It is based on JOrbis, an open source Vorbis library.

%files 
%{_javadir}/vorbisspi%{version}.jar
%{_javadir}/vorbisspi.jar

#--------------------------------------------------------------------

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Java

%description javadoc
Javadoc for %{name}.

%files javadoc
%{_javadocdir}/*

#--------------------------------------------------------------------

%prep
%setup -q -n VorbisSPI%{version}

%build
%{ant} all

%install
install -dm 755 %{buildroot}%{_javadir}
cp -f vorbisspi%{version}.jar %{buildroot}%{_javadir}/

# jars
install -m644 %{name}%{version}.jar -D %{buildroot}%{_javadir}/%{name}%{version}.jar
ln -s %{name}%{version}.jar %{buildroot}%{_javadir}/%{name}.jar

# javadoc
install -d %{buildroot}%{_javadocdir}/%{name}-%{version}
cp -r docs/* %{buildroot}%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} %{buildroot}%{_javadocdir}/%{name}


%changelog
* Fri Feb 05 2016 umeabot <umeabot> 1.0.3-8.mga6
+ Revision: 939584
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.3-7.mga5
+ Revision: 742095
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.3-6.mga5
+ Revision: 690238
- Mageia 5 Mass Rebuild

* Tue Aug 19 2014 luigiwalser <luigiwalser> 1.0.3-5.mga5
+ Revision: 665536
- drop gcj support

* Fri Oct 18 2013 umeabot <umeabot> 1.0.3-4.mga4
+ Revision: 520067
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 1.0.3-3.mga3
+ Revision: 385539
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 barjac <barjac> 1.0.3-2.mga3
+ Revision: 343976
- update group
- correct license
- spec clean

* Thu Apr 14 2011 tv <tv> 1.0.3-1.mga1
+ Revision: 85019
- fix another harcoded version instance
- fix harcoded version in %%setup
- new release
- new release

* Tue Mar 08 2011 grenoya <grenoya> 1.0.2-1.mga1
+ Revision: 66667
- add java-rpmbuild in BuildRequires
- imported package vorbisspi


* Sat Dec 15 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1.0.2-1mdv2008.1
+ Revision: 120450
- Fix BuildRequires
- import vorbisspi


